Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Neverwinter Nights: Enhanced Edition has been released! Visit nwn.beamdog.com to make an order. NWN:EE FAQ is available.
Soundtracks for BG:EE, SoD, BG2:EE, IWD:EE, PST:EE are now available in the Beamdog store.
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Reverting back to 1.3?

NoloirNoloir Member, Mobile Tester Posts: 222
Downloaded BGEE on Android and it's currently updated to the 2.5.1.0 Beta. If I were to deinstall and reinstall would BGEE return to 1.3 or a 2.0 + version? If the latter is there a way to reinstall the 1.3 patch?

2.0+ is ok in reference to the UI but lossing access to hundreds of mods in exchange for a "glossy" interface and shaman is a tough pill to swallow. Intended to make a SoD trilogy run through but after reading reviews I'd rather just run mods instead. Still bought it in a show of support nonetheless.

Comments

  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 15,524
    edited April 25
    As I understand it, for the beta on Android you have to download the beta through a special link (available on our blog). If you just download the app from GP it will be on the 1.3 version.

    But once the patch is released, you'll be able to download only 2.5 from GP. Among other things, the 2.5 patch for Android is addressing hundreds of technical and performance issues.

    In the SoD part - "after reading reviews" - I'll only ask you to think about what reviews you read and what they were about. I also ask to look at reviews the links to which are gathered here - https://forums.beamdog.com/discussion/49735/overall-score-71-100-sod-official-reviews-list-spoilers , such as the review from PCGamer (http://www.pcgamer.com/baldurs-gate-siege-of-dragonspear-review/)

  • NoloirNoloir Member, Mobile Tester Posts: 222
    @JuliusBorisov So as it is Google Play is still running 1.3? Just recently discovered how to add mods and many of the dialog.tlk files from interesting mods are unfortunately incompatible it seems.

    I'm a bit reluctant to add SoD on my tablet since the games download straight to internal storage instead of my SD card since it mean having to relocate all my BGEE files to a USB or computer and deinstalling BGEE all together to make space. A bit of a hassle, but I'll reconsider once the 2.5 patches are underway and semi-compatible with certain mods I'm interested in.

  • GusindaGusinda Member Posts: 776
    edited April 26
    @Noloir, most of the mods available should be able to install onto a 2.x. In fact there are many that aren't backwards compatible with 1.3.x or have more features available for the 2.5 modding. When creating the modfiles for various people, I know that some mods (some very popular) can only be installed in the 2.x environment. Any modfiles done for the 1.3 version would need to be created for the 2.x version. This is where the confusion might be.

    All you should need to do is to re-setup your modding area on the PC with the 2.x obbs. You would need to reset them for any of the new betas (anything that changes the obbs/dialog.tlk) updates and then reinstall the mods again but batching the mod setup would make that much easy. I haven't done updated to the betas in Android myself and therefore haven't tried what I have written, but the theory is sound... the dialog.tlk should update as it does now with the 1.3 version.

    I would try now while while you have the option of both but versions as a test and if the thought of reinstalling the mods for each beta seems to be a pain, then revert back to 1.3. If you need any help, let me know and I can try to assist where I can.

    Which mods are you having problems with?

    Gus

    Edit: Typo

    Post edited by Gusinda on
    ThacoBellNoloirJuliusBorisov
  • NoloirNoloir Member, Mobile Tester Posts: 222
    @Gusinda There was recent mod by Semiticgod that featured the mage class "Alchemist" as well as the Arcane Alchemist kit by Artemis_I (if the username isn't mistaken) that have wonky dialog strings. Well, invalid strings to be specific. Anthology works fairly well but it's upsetting to use mods with strings in a mess.

  • joluvjoluv Member Posts: 1,938
    Tagging @semiticgod and @Artemius_I since I'm sure they'd want to know about that.

    JuliusBorisov
  • semiticgodsemiticgod Member, Moderator Posts: 9,864
    @Noloir: I don't know what could cause the invalid strings unless maybe you're working with an early version of the Alchemist mage kit where the coding might have been messier. But that's just a wild guess; I haven't seen a string problem with the kit since I figured out BG and BG2 use different string references for stun effects. What other mods do you have installed?

    I've never heard of the Arcane Alchemist kit, nor can I find any mention of it online. I only know of the Alchemist thief kit, which should be fully compatible with the Alchemist mage kit (I've had both of them installed at once).

  • GusindaGusinda Member Posts: 776
    edited April 26
    @Noloir, i saw some screen shots of your problem but I just installed both kits and had no probs that you were showing. Could you upload you WeiDU.log so I can have a look. It could be related to the order of install...

    The other question is: could you describe the process in which you are building you mods?

    Also, could you make sure that you removed all of the components from the previous modfile, that is the override folder and the lang.zip file. If these are still there when installing the new modfile for Android, the game wil be confused (esp lang.zip).

    Gus

    Edit: btw, couldn't find the Arcane Alchemist kit by Artemis_I, but there was an Arcane Archer, so I figured that was the one.

    Post edited by Gusinda on
    JuliusBorisov
  • NoloirNoloir Member, Mobile Tester Posts: 222
    edited April 26
    @Gusinda @semiticgod I'll upload the mod zipfiles as soon as the time presents itself to take a peek to see what may be going wrong. Yes, "Arcane Archer", and "Alchemist Mage Kits" respectively. Rushed to type my previous post on my break schedule. So much of the BG series and infinty engine to examine with so little time.

    Gusinda
  • subtledoctorsubtledoctor Member Posts: 9,175
    Noloir said:

    @Gusinda There was recent mod by Semiticgod that featured the mage class "Alchemist" as well as the Arcane Alchemist kit by Artemis_I (if the username isn't mistaken) that have wonky dialog strings. Well, invalid strings to be specific. Anthology works fairly well but it's upsetting to use mods with strings in a mess.

    There's nothing about the 2.5 patch that changes how mods interact with the .tlk file...

    Gusinda
  • NoloirNoloir Member, Mobile Tester Posts: 222
    @Gusinda Having trouble uploading the mod zips with the .tlk files in question. Any suggestions how to upload them?

  • GusindaGusinda Member Posts: 776
    @Noloir, had some trouble earlier last week with zips (although I can upload now, I think...), but if you rename the file from filename.zip to filename.zip.txt, I found that worked. You just need to advise the receiver to rename back to filename.zip before working/looking at it.

    Gus

  • NoloirNoloir Member, Mobile Tester Posts: 222
    edited May 7
    @Gus Nearly worked. Seems like theres a restriction for unzipped files oddly enough. A webtext (File not allowed) keeps appearing when I try to upload the renamed zip.

    In any case I'll just keep the Beta. Though it's disappointing that certain mod texts don't load properly they're still playable. Plus thanks to you now that I can use NI and EEKeeper I can do other interesting things like play a solo runthrough with Cre. files converted to Chr. files.

    Can play as a nerfed twin of Armoured Sarevok right out of Candlekeep or play as a Raksasha Kensai/Mage that can shoot Winterwolf Iceballs as an innate ranged hand to hand ability like a Ki blast fireball(coldball). Or just suck everyone's brains out as an Illithid Sorceror gone mad. It's no biggie.

    Gusinda
  • GusindaGusinda Member Posts: 776
    @Noloir, two Sarevoks running around Faerun... hope you don't try to kill yourself!

    My guess on the file upload is that there may be a small prob somewhere. It is likely to clear up...

    Gus

Sign In or Register to comment.